Book a parcel shipment
curl --request POST \
--url https://api.shippeek.dev/book/parcel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"rateId": "<string>",
"originCompany": "<string>",
"originAddress": "<string>",
"originContactName": "<string>",
"originContactPhone": "<string>",
"originContactEmail": "jsmith@example.com",
"destCompany": "<string>",
"destAddress": "<string>",
"destContactName": "<string>",
"destContactPhone": "<string>",
"destContactEmail": "jsmith@example.com"
}
'import requests
url = "https://api.shippeek.dev/book/parcel"
payload = {
"id": "<string>",
"rateId": "<string>",
"originCompany": "<string>",
"originAddress": "<string>",
"originContactName": "<string>",
"originContactPhone": "<string>",
"originContactEmail": "jsmith@example.com",
"destCompany": "<string>",
"destAddress": "<string>",
"destContactName": "<string>",
"destContactPhone": "<string>",
"destContactEmail": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
rateId: '<string>',
originCompany: '<string>',
originAddress: '<string>',
originContactName: '<string>',
originContactPhone: '<string>',
originContactEmail: 'jsmith@example.com',
destCompany: '<string>',
destAddress: '<string>',
destContactName: '<string>',
destContactPhone: '<string>',
destContactEmail: 'jsmith@example.com'
})
};
fetch('https://api.shippeek.dev/book/parcel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Booking
Book a parcel shipment
Book a parcel shipment using a rate ID from a parcel rate request. Returns tracking numbers and labels.
POST
/
book
/
parcel
Book a parcel shipment
Authorizations
Your ShipPeek API token in the format client_id.client_secret.
Body
application/json
Quote ID from the parcel rate response
Rate ID of the selected parcel rate
Response
Parcel shipment booked successfully
⌘I